de.dhbwstuttgart.typeinference

## Interface KomplexeMenge<A>

- All Known Implementing Classes:
    ConstraintsSet, EinzelElement, OderConstraint, OderMenge, ParallelConstraintSet, SingleConstraint, UndConstraint, UndMenge

      interface KomplexeMenge<A>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(A item)`
    `void` | `addItems(KomplexeMenge<A> item)`
    `Menge<Menge<A>>` | `cartesianProduct()`
    `Menge<UndMenge<A>>` | `getAndSets()`
    `Menge<A>` | `getItems()`
    `Menge<OderMenge<A>>` | `getOrSets()`

- - ### Method Detail

    - #### addItems

          void addItems(KomplexeMenge<A> item)

    - #### addItem

          void addItem(A item)

    - #### cartesianProduct

          Menge<Menge<A>> cartesianProduct()

    - #### getItems

          Menge<A> getItems()

    - #### getOrSets

          Menge<OderMenge<A>> getOrSets()

    - #### getAndSets

          Menge<UndMenge<A>> getAndSets()